package com.zm.order.tool.server.enums;

/**
 * @Description 通用操作枚举
 * @Author: ph
 * @Date: 2019/11/27 15:38
 */
public enum CommonOperationEnum {

    /**
     * 支付
     */
    PAY("pay", "支付"),

    /**
     * 创建
     */
    CREATE("create", "创建"),

    /**
     * 删除
     */
    DELETE("delete", "删除"),

    /**
     * 自动取消
     */
    AUTO_CANCEL("autoCancel", "自动取消"),

    /**
     * 自动完成
     */
    AUTO_COMPLETE("autoComplete", "自动完成"),

    /**
     * 退款
     */
    REFUND("applyRefund", "退款"),

    /**
     * 确认核销
     */
    CONFIRM_VERIFY("confirmVerify", "确认核销"),

    /**
     * 确认评论
     */
    CONFIRM_COMMENT("confirmComment", "确认评论"),
    ;

    private final String operation;

    private final String desc;

    CommonOperationEnum(String operation, String desc) {
        this.operation = operation;
        this.desc = desc;
    }

    public String getOperation() {
        return operation;
    }

    public String getDesc() {
        return desc;
    }
}
